2007-09-11
	* fix: #1792127 quality report not savable  in new file

2007-09-03
	* und: move some helper functions to icc_helfer.cpp
	* neu: create oyValuexxx byte ordering utilities in icc_oyranos_extern.x
	* neu: make icc_oyranos_extern.c/h and others C compatible
	* neu: continue with oyNamedColour_s struct and access functions

2007-06-20
	* neu: switch to v0.45
	* fix: Fl_Window::set_modal() is not undoable: remove
	* fix: fix saving: filechooser dateiwahl callback is not sete by default
	* fix: bug#1745530 FL_WHEN_CHANGED prevents double clicks on directories in filechooser: solution fileList->when(FL_WHEN_CHANGED) -> when(3)

2007-06-29
	* neu: ncl2 loockup from 2D view
	* und: user defined selection order in file browser (FL_WHEN_CHANGED + own list)
	* neu: load patch names into GL_Ansicht
	* neu: new ncl2 tag query for ncl2_names to show a list of patch names - ICCtag::getText(std::string text)
	* neu: handle patch names in ICCexamin::farbenLese
	* new: single ncl2 patch in ICCexamin::farbenLese as negative n arg
	* und: added ncl2 to selectTextsLine callback
	* neu: mark ncl2 and cgats tags text lines containing colour patches
	* neu: synchronise html report view with cgats tag text line selection
	* neu: add name to each patch to make it selectable in html report
	* neu: ICCmeasurement::getPatchLines helper to mark cgats tag text lines
	* und: rename ICCmeasurement::getLine() ICCmeasurement::getPatchLine()

2007-06-28
	* neu: show selected measurement patch in 3D view
	* fix: HH: icc_cgats_filter.cpp key word matches complete string
	* neu: remember original patch line number from CGATS file
	* neu: new ICCmeasurement::getLine() informations from CGATS to patch
	* neu: new GL_Ansicht::emphasizePoint() to show a point of interesst
	* fix: fix continued key applyance after key release - 3D cut plane
	* neu: new bool ICCprofile::tagBelongsToMeasurement() tells about tag
	* und: ICCnetzPunkt with new member name used by emphasizePoint()
	* fix: makefile: trigger source generation with fluid at missing header

2007-06-27
	* neu: build osX universal iccgamut

2007-06-26
	* neu: configure: support --disable-dependency-tracking configure option
	* und: configure: remove cc/CC and c++/CXX modifiers for x86_64 builds
	* fix: configure: fix for user specified fltk-config file
	* und: configure.sh: more sensible test for libraries
	* und: configure.sh: remove optimisations from external library flags
	* neu: configure.sh: detect utf-8 support in FLTK by config script name
	* und: configure.sh: more sensible debug options for Darwin
	* fix: icc_betrachter.fl: Solaris compile errors
	* neu: gui: new dynamic table channel selection buttons
	* fix: move pthread_attr_getstacksize to DEBUG for Solaris

2007-06-23
	* neu: icc_helfer.cxx/h: getColorSpaceGeneric, getChannelNamesShort
	* neu: i18n: set charset according to utf-8 support in FLTK

2007-06-23
	* fix: icc_profile_tags.cpp: detect wrong desc count and print warning
	* neu: ICCtag::colorSpace (MftChain typ)

2007-06-13
	* fix: additional Fl_GL_Window::set_visible() after show() for osX FLTK:STR 1707

2007-04-18
	* und: remove non translations from icc_cgats_filter.cpp
	* und: translate many comments to english

2007-03-06
	* neu: add MCH5++ colour space signatures
	* neu: render input profile gamut by directly going from max RGB->Lab

2007-02-28
	* und: build system: check for Xpm, Xext, dl, iconv and intl
	* neu: check for building in CinePaint source tree.
	* und: allow compiling without i18n libs
	* und: keep progressbar spinning
	* fix: hide all lower widgets to not confuse FLTK event paths
	* fix: false variable assignment for background colour
	* fix: move global variables to GL_Ansicht object
	* fix: valgrind warning in icc_gl.cpp
	* und: simplify the motion events

2007-02-20
	* fix: empty pointer chrash in locale path search (icc_helfer.cpp)

2007-02-09
	* neu: allow Lab without XYZ measurements
	* und: new conversion functions for Lab/XYZ and Lab/CIELab

2007-02-06
	* und: allocate more memory to thread (in a wrong attempt to fix osX)

2007-02-01
	* neu: gray out non selectable profiles (empty proofing profile)

2007-01-00
	* fix: plastic workaround for X11, call Fl_Window::show() in
		MyFl_Double_Window::show()
	* neu: configure: add -lrt for nanosleep in Solaris
	* und: adapt icc_betrachter.fl to FLTK-1.1.(8) and -scheme plastic
	* und: reactivate My_Fl_Box to allow DnD on Linux
		submit www.fltk.org/str.php?L1577
	* neu: ICCexamin::oyranos_einstellunigen ICCexamin::auffrischen
	* neu: ncl2: track old colour places
	* neu: show net lines of internal gamut hull (map Lab cubus to profile)
		Oyranos::netzVonProfil_
	* neu: add bpc option to colour space hull generation
	* neu: icc_helfer.cpp getColorSpaceChannels()
	* und: optimise GL drawing
	* neu: GL herausNormalPunkte
	* und: remove GL_Ansicht::stupps_
	* fix: bugfix in CIELab2Lab
	* und: move plug-in stuff to icc_cinepaint_internal.cpp for i18n
	* fix: CP plug-in: bugfix for 1 byte proof profile size
	* neu: add event type info to my_file_chooser callback_
	* und: configure: rename ARCH to OS_EXT to avoid name collision

2006-12-29
	* neu: ICCereignisManager
	* und: move darf_bewegen_ from GL_Ansicht to Agviewer

2006-12-24
	* und: check _NET_CURRENT_DESKTOP for X11 window iconification

2006-12-22
	* und: beautify configure output
	* und: allow silent configure operation

2006-12-05
	* neu: add libtiff check
	* neu: integrate CinePaint plug-in
	* und: move some functions out of icc_main to icc_helfer

2006-12-04
	* und: avoid Lab,XYZ... nameclash in icc_formeln.*, rename to *_s

2006-11-20
	* und: reduce to a more apropriate authors list

2006-11-20
	* fix: switched from XYZ gamut rendering to intermediate over Lab,
		still does not match argylls gamut
	* fix: fix some memory leaks in icc_gl.cpp

2006-11-19
	* neu: add the Oyranos proof profile
	* neu: create and use oyProfileGetMD5 in Oyranos and icc_oyranos
	* neu: the Lab to monitor now better checks for changes and recalculates
	* neu: preferences saving for marking out of gamut colours

2006-11-17
	* neu: "Quit" in 3D Gamut window
	* fix: fix mft_choice empty entry
	* neu: new registering of threads to be posix conform
	* neu: preferences saving for 3D gamut and mft CLUT views
	* und: merge into fortschritt and omit fortschrittThreaded
	* neu: gamut warning option

2006-11-16
	* und: move darf_bewegen_ from GL_Ansicht to Agviewer
	* und: add hotspot() call to help dialogs showing for twm
	* und: move dateiwahl initialisation from ICCbetrachter to ICCexamin
	* und: renaming fenster_id to typ in GL_Ansicht
	* neu: new class EinModell to object all GL_Asicht in alle_gl_fenster
		fixes GL context switches bug for menu handling
	* und: handle Fl_Window::xclass setting in MyFl_Double_Window
	* fix: show icon for all windows
	* neu: handle MyFl_Double_Window::is_toolbox; not _NET_WM_WINDOW_TYPE,
		for icc_waehler_
	* fix: update fl_translate_file_chooser() to MyFl_File_Chooser
	* fix: fix empty measurements crash
	* fix: empty observer list crash in Modell::beobachterFort

2006-11-15
	* neu: "Show Main Window" in 3D Gamut window
	* fix: fix empty icc_waehler_ calling crashes

2006-11-14
	* und: reduce to a more apropriate authors list
	* neu: save configuration to config.log
	* neu: include CFLAGS, CXXFLAGS and LDFLAGS
	* fix: fix configure for Solaris shell syntax
	* und: update configure.sh from Oyranos
	* und: clean up zeigMftTabellen() syntax
	* und: more clean ups for the positioning code in icc_examin.h/cpp
	* und: move title setting into setzeFensterTitel()
	* und: new setzMesswerte() for updating the report table
	* und: move the oeffnen() code from ICCbetrachter to ICCexamin
	* und: change GL timing from Fl::add_timeout() to
		smoother Fl::repeat_timeout()
	* und: override show() and hide() in GL_Ansicht to better control
	* fix: fix warnings for non -DDEBUG compiling
	* neu: flstring.c and vsnprintf.c from fltk project

2006-11-13
	* und: GL timing makes more sense
	* und: change DYLD_LIBRARY_PATH to DYLD_FALLBACK_LIBRARY_PATH for Tiger
	* neu: add label() to MyFl_Double_Window for handling the title name

2006-11-11
	* neu: MyFl_Double_Window to handle iconization
	* neu: MyFl_File_Chooser to better bring in sync with MyFl_Double_Window
	* and: dangerous: flstring.h is included

2006-11-08
	* fix: dont influence the locale settings; (in cgats, vrml ...)
	* neu: give config.h the usual header macros
	* fix: mft choice stretching behaviour
	* neu: make agviewer a observable pointer in GL_Ansicht
	* neu: register GL_Ansicht::agv_ to agviever's icc_examin_ns::Modell
	* neu: add GL_Ansicht::getAgv()
	* und: delete Modell if no observers are attached

2006-11-07
	* neu: icValueUI16() and icUI16Value() in icc_helfer.h/cpp
	* und: rename header_raw() to headerRaw() in ICCheader
	* und: smart tag adding in ICCprofile::addTag()

2006-11-05
	* fix: Cmyk measurement remove on vrml net loading

2006-11-04
	* und: int    getTagByName("xxx") -> int getTagIDByName
	* neu: ICCtag getTag("xxx")
	* und: void removeTagByName (std::string) -> int removeTag (std::string)

2006-09-14
	* und: monitor profile is passive on load time

2006-09-11
	* neu: class ThreadDaten - secure data access in threaded environments

2006-09-10
	* und: change CgatsFilter class inside to better handle special fields
	* neu: parse CGATS internaly (class ICCmeasurement)

2006-09-08
	* neu: move tests files to tests
	* neu: add threads test to fltk check

2006-08-11
	* und: v0.41

2006-07-21
	* fix: measurement scaling for CLUT Profiles

2006-06-28
	* neu: Uebertragungsarten frei waehlbar

2006-06-20
	* fix: Xinerama / screen bugs

2006-06-19
	* neu: ICCvrmlDATA ICCcorruptedprofileDATA in ICCprofile::ICCDataType
	* neu: Anzeige des Datentyps in Benutzeroberflaeche
	* und: Hinweis: eventuell falsche Farbtransformation (Qualitaetsbericht)
	* fix: mehrere Datenabfragen, werden besser ueberprueft vor dem Zugriff
	* neu: setzten von 0 Daten bei fehlenden Profileintraegen
	* und: Darstellung des Profilkopfeintrages nur für ICC Typen
	* und: neue Zeilenvorauswahl in icc_betrachter fuer nicht ICC Profile
	* fix: Xinerama / Screen bugs

2006-06-18
	* fix: 0 cgats -> lcms wird weggelassen (Fehler von HalVEngel berichtet)
	* fix: Warnung fuer Eintraege in Tag Tabelle ausserhalb der Datei

2006-06-12
	* und: veraendertes zaehlen der Screen's (Xinerama screens)

2006-04-28
	* fix: Versionsnummer in configure

2006-04-12
	* new: Xinerama Monitornummer Erkennung
	* und: v0.40

2006-04-03
	* und: v0.39 Veröffentlichung

2006-04-01
	* neu: Darstellungsoptionen werden respektiert (aktiv/passiv)
	* neu: Die ersten nachfolgende Messdaten gehen in das erste Profil ein.
	* fix: Ansicht synchronisiert mit veränderter Profilkonstellation

2006-03-06
	* neu: Monitor Gamma wird kontinuierlich beobachtet

2005-12-20
	* neu: Beleuchtung für Farbkörper ein

2005-12-19
	* neu: Oberflächennormale berechnen

2005-12-14
	* und: osX dock unterstützt, Standardprofilbetrachter

2005-11-14
	* fix: vrml lesen: IndexedFaceSets alleinig
	* und: (v0.39)

2005-11-09
	* und: configure nimmt --prefix=xxx an beliebiger Position
	* und: Mandrake Test überstanden

2005-10-21
	* und: (v0.38-2) angekuendigt
	* und: TagTexts bleiben auf Ihrer Höhe stehen auch bei Neuladen des Inhaltes

2005-10-18
	* und: (v0.38) veroeffentlichen

2005-10-14
	* und: freeglut beseitigt

2005-10-13
	* fix: ncl2 erste Farbe nicht übertragen in ICCexamin::farbenLese
	* fix: Laden/Benachrichtigen verbessert:
	* und: set für Warteschleife der zu erneuernden Dateien in ICCexamin::erneuern_
	* und: erneuern Funktionen von .h -> .cpp
	* und: benachrichtigen aus setzAktiv und passiv entfernt (ICCkette)
	* und: Schleife aus ICCexamin::oeffnenThread_(int pos) -> schlafen
	* und: Test auf Namen für Profilladen in ICCkette::einfuegen -> Pause

2005-10-07
	* und: configure acepts --prefix=xxxxx
	* und: letzen Oyranos Aenderungen
	* und: v0.38
	* und: unix name icc_examin -> iccexamin

2005-10-05
	* und: -psn_##### geloescht von Kommandozeile

2005-09-19
	* fix: Profile Laden in WAECHTER Strang -> LADEN Strang
	* fix: chrm tag
	* neu: Farbanteile aus chrm im Fenster

2005-09-14
	* fix: kein direkter Fl Zeichenaufruf in nicht Nebensträngen
	       ICCexamin::fortschrittThreaded() wait(0) -> damage(FL_DAMAGE_ALL)
	* neu: ncl2 und Messfarben auch farbig darstellbar

2005-09-13
	* fix: i18n codeset for osX with newer gettext
	* fix: Proofprofil wird immer relativ colorimetrisch dargestellt
	* neu: Auswahlfarben in Statuszeile

2005-09-07
	* fix: sprintf durch memcpy ersetzt für URLs; sprintf kann keine %20 Zeichen

2005-09-06
	* und: Anpassen an Oyranos-0.1.2
	* fix: statisches und dynamisches Verknüpfen mit Elektra
	* und: Export einiger icc_oyranos Funktionen nach Oyranos
	* fix: filtern von %20 in URLs

2005-09-01
	* fix: more cout << (char*) 0; in icc_oyranos.cpp
	* fix: Darstellen einer Messtabelle mit null Länge ; noch einen

2005-08-31
	* und: www Seite
	* und: v0.37
	* fix: cout << (char*) 0; in icc_oyranos.cpp
	* fix: Darstellen einer Messtabelle mit null Länge

2005-08-30
	* neu: makefile Ziel pkg/unpkg (osX)
	* und: Release 0.36

2005-08-28
	* fix: Gamut Warnung wählbar auch für Messungen TODO: update
	* neu: X icon
	* neu: punktgroesse für zu viel ncl2 Farben auf 2 voreingestellt

2005-08-27
	* fix: nicht verstecktes mft_gl ??bug ein zweites mal verstecken
	* fix: neuzeichnen zu zeitiges waehleTag
	* und: Menüorganisation
	* und: FL_COMMAND+o ist in icc_examin.cpp tastatur() definiert

2005-08-26
	* und: neue mutex_trylock nur für fremde Zweige
	* neu: Zeit Funktionen
	* fix: OpenGLglätten besser steuern
	* und: Darstellungsoptionen auffrischen und neue Fenstergröße
	* fix: nur aktive Netze werden benamt OpenGL
	* fix: Löschen alter Hüllen
	* fix: 0 Farben ncl2 Profilabsturz

2005-08-25
	* und: OpenGL wieder im Hauptzweig
	* neu: Fl::wait(pause/0) sorgen für eine flüssige Oberfläche
	* und: Zeitkoordination

2005-08-24
	* und: Zeitmessung ordnen

2005-08-23
	* neu: mutexe für das Entlaussystem (icc_utils)
	* neu: OpenGL threads

2005-08-20
	* neu: Start esperanto in po/eo.po
	* neu: eigenständiges "bundle" Ziel in makefile

2005-08-18
	* und: Resoucen in Bundle orten

2005-08-14
	* neu: Bildchen

2005-08-13
	* fix: farbraummodus (ncl2) wieder aktiviert für CinePaint
	* neu: mime für Dateimanager - icc.xml

2005-08-12
	* neu: Fehlersuche zeigt threads farbig an, bessere Lesbarkeit
	* und: nach 'export ICCEXAMIN_DEBUG=19' zeigt icc_examin Funktionesaufrufe
	* fix: Verklemmungen
	* fix: unerschiedliche Farben in ICCgl osX/X11
	* fix: Löschen alter Hüllumrisse und Namen in ICCgl
	* fix: Maus Ereignisse weiterreichen an ICCgl

2005-08-11
	* und: threads
	* und: Datei Behandlung einfacher, Dateizugriff aus ICCprofile entfernt
	* und: Datei/Speicher Funktionen in icc_helfer.h/cpp
	* und: -fnoexeptions + keine Optimierung während des Übersetzens : schneller

2005-08-10
	* fix: DnD werden vom Fenster akzeptiert mittels eines transparenten Blockes

2005-08-07
	* neu: KDE + Gnome + FLTK DnD
	* neu: Startverzeichniss sinnvoller

2005-08-06
	* neu: osX Fl_Sys_Menu wieder entfernt, da nicht kompatibel zu fltk Menüs:
		   Textkodierungsprobleme, kein hide(), kein toogle in Menüleiste,
		   kein update

2005-07-29
	* und: aufraeumen in icc_kette.cpp ::einfuegen()
	* und: statisches Binden hilft mit osX-Dock
	* und: Version 0.36
	* und: Speicher kopiert und übernimmt lediglich mit new reservierte Bereiche
		   direkt, da Freigabefunktion sonst unbekannt, neue Zuweisungsfunktionen

2005-07-24
	* neu: osX DND

2005-07-22
	* und: osX icc_examin.r eingefuehrt - Menues schwierig

2005-07-21
	* neu: osX Display Profil erkennen und auslesen + vcgt aus Gerät auslesen

2005-07-18
	* neu: Oeffnen vereinfacht -> Speicherbloecke

2005-07-10
	* neu: VRML schreiben - Version 0.35

2005-06-04
	* und: Farbhüllwarnung für Messfarben immer, für Lab Auswahl im oberen Menü

2005-06-03
	* und: farbiger Balken von gewählten 3D Punkt Lab -> 0ab

2005-06-02
	* und: schnellere OpenGL Tabellendarstellung

2005-05-30
	* neu: Brerechnen der Bilder pro Sekunde und an-/abschalten von aufwendigen
	       OpenGL Zeichenfunktionen
	* neu: Text folgt Kamera
	* und: Version 0.33

2005-05-26
	* neu: Umrisse für Rgb und Cmy/Cmyk Profile

2005-05-19
	* neu: im Fenstertitel wird der Dateiname gesetzt
	* neu: Gitterlinien im Farbraumbetrachter
	* neu: Schatten für das Spektralband

2005-05-09
	* und: Umstellung nach Oyranos API 0.0.2
	* und: Version 0.32
	* fix: für farbraumModus
	* und: more Linguas in icc_helfer_i18n.cpp

2005-05-03
	* fix: tag selection crash 
	* und: Darstellungoptionen werden versteckt (__APPLE__)
	       und unter unix versteckt
	* fix: Endianes für Solaris korrigiert
	* fix: setenv unter Solaris nicht verfügbar

2005-05-02
	* fix: GL zeichnen wenn ansichtig
	* fix: Infos in Statusleiste

2005-05-01
	* und: OpenGL Test etwas feiner
	* und: Darstellungoptionen werden versteckt nicht mehr verkleinert
	* und: neuzeichnen für farbraumModus

2005-04-30
	* und: Schalter hintergrundfarbe in Farbwert umgestaltet
	* und: set charset to iso-8859-1 for 'de' in unix
	* und: i18n stuff resides in icc_helfer_i18n.cpp

2005-04-29
	* und: set LANG variable in osX for i18n

2005-04-28
	* und: Layout im Tagwähler nach links gerückt
	* fix: Profile bleiben gewählt wie im Profilewähler eingestellt
	* fix: Namen werden im GL Fenster so dargestellt wie im Profilewähler
	* neu: Schatten für Einzelfarben hinzugefügt

2005-04-27
	* und: de Übersetzung vollständig
	* fix: *.po is now the translation file and *.utf-8 temporarily used
	* fix: ncl2 korrekt angezeigt
	* fix: Voreinstellungen der Farbigkeit im Farbraummodus verbessert

2005-04-26
	* und: Menüs Texte werden ausgetauscht; Fluid Zeigernamen bleiben erhalten
	* und: i18n: msgmerge obtains utf-8; de: recode -> latin-1 +
	* und:       set charset=latin-1 + msgfmt obtains latin-1 => fltk=correct

2005-04-25
	* fix: Objekt scope Fehler in icc_betrachter/icc_helfer_fltk

2005-04-22
	* neu: gettext Übersetzung in fluid und makefile

2005-04-18
	* neu: Fonts mit FTGL: nicht innerhalb anderer glLists benutzen
	* neu:                 Raster Position mit glRasterPos* setzen
	* fix: Farbeinstellungen im 3D Ansichtwähler bleiben erhalten
	* fix: setzMesswerte nicht falls keine vorhanden sind
	* fix: alte Messwerte mit Laden eines neuen Profiles löschen
	* fix: zugriff auf nicht existentes 3D Netz 

2005-04-01
	* neu: aktualisieren der Ansichten nach ICCkette::benachrichtigen ->
		   setzMesswerte

2005-03-31
	* neu: agviewer ist nun glut frei
	* neu: profile werden in einem eigenen Fenster angezeigt

2005-03-12
	* neu: automatische Bibliothekskonfiguration in configure.sh

2005-02-07
	* fix: osX nutzt andere Verbundobjekte als Linux in time.h
	* fix: einige int -> size_t in icc_profile

2005-03-0
	* und: pthread -> Fl::add_timeout in icc_kette

2005-02-28
	* neu: ICCexamin::frei() zur Anzeige der Benutzung eingeführt (pthread)

2005-02-26
	* neu: wächter mit pthread eingeführt in ICCkette, überwacht Dateiveränderng
	* neu: Modell Beobachter als Rückmeldesystem eingeführt icc_modell_bobachter
	* neu: holeDateiModifikationsZeit in icc_helfer
	* neu: ICCprofile::changing() zur Anzeige der Benutzung eingeführt

2005-02-24
	* neu: viel an der 3D Darstellung gearbeitet
	* neu: Umgebungsvariable LANG wird zum Auslesen von mluc Tags verwendet
	* fix: Profilenamen werden alle angezeigt; kein glLoadIdentity() für Text
	* neu: icc_profile.h viele Funktionen in cpp Dateien verschoben
	* neu: ncl2 läuft als Text

2005-02-11
	* fix: Beschnitt der Achsenbeschriftung aufgehoben für CIExy
	* fix: agvSwitchMoveMode[1,2] nach Fenstern aufgeteilt

2005-02-10
	* und: TagDrawings fertig verkappselt, Daten liegen innen

2005-02-08
	* neu: Zeichenfunktionen in TagDrawings Klasse verbannt

2005-02-05
	* neu: vrml Parser

2005-02-02
	* neu: benutzt Monitorprofil zur Anzeige; exportiert html-Farben als sRGB
	* neu: Monitorprofil in icc_draw und icc_gl

2005-01-28
	* neu: oyranos Objekt zum Verwalten der Profile

2005-01-27
	* neu: CGATS Lesen ist robuster

2005-01-21
	* und: XYZ Messdaten ohne Gerätefarben werden beim Laden als Stern gezeigt
	* neu: suchenErsetzen in icc_helfer.h/cpp
	* neu: CGATS Daten über icc_examin exportiert
	* neu: nachricht() in icc_fenster.h/cpp zum Anzeigen von Hinweisen
	* neu: CGATS Fenster mit [ctrl-g] aufrufbar

2005-01-20
	* neu: Spektralbanddarstellung fertig
	* neu: Laden von Messdateien -> 3D Farbraum
	* neu: [Escape] wird in icc_examin als Tastenkürzel abgefangen

2005-01-19
	* neu: Menüs neu sortiert
	* neu: Pfeile/Texte an und aus
	* neu: Farbvariablen für Text und Pfeile
	* neu: Hintergrund umschaltbar
	* und: Spektralbanddarstellung vorbereitet - neue Liste SPEKTRAL
	* neu: Messdatendifferenzen mit Verlauf versehen
	* neu: init teilweise auf Anwahl über Menü umgestellt

2005-01-18
	* fix: GL Fenster 2 bewegt sich wenn Fenster 1 angeschoben wurde
	* fix: Menü für GL 1 und GL 2 differenziert angezeigt
	* fix: html Bericht Speichern

2005-01-17
	* neu: Messdaten / Differenz im Farbraumfenster
	* neu: Menü für Messdaten in GL : Kugel, Stern , nur Differenzen
	* neu: Spektralbanddarstellung vorbereitet

2005-01-15
	* fix: aktualisiere GL nach Profilladen
	* fix: Daten Übertragung (Farben)
	* fix: Daten Skalierung

version 0.17
2005-01-14
	* neu: Messdaten im Farbraumfenster darstellen 

2005-01-13
	* neu: drawCurve/CIE greift über id von TagDrawing auf Daten in icc_examin
	* neu: DDC Auslese via X - bisher nur Monitor Model und Hersteller
	* neu: Gamma Auslese aus X - 

2005-01-12
	* neu: neue X Dateien icc_helfer_x.h/cpp
	* neu: vcgt Fenster

2005-01-11
	* und: icc_kette von icc_betrachter gereinigt
	* neu: Datei icc_fenster.h/cpp mit Dateiauswahlfenster
	* fix: leerer string löst Ausnahme bei Zugriff aus in icc_gl.h - DBG Macros!

2005-01-09/10
	* fix: doppelter Aufruf von auswahlCb - in MftChoice::profilTag
	* und: Textausgabe in GL_Ansicht überarbeitet
	* und: glut Menüs neu sortiert

2005-01-08
	* neu: Initialisierungsreihenfolge der GL_Ansicht in icc_examin
	* neu: statische glut Funktionen je GL_Ansicht in icc_gl.h/cpp
	* neu: zweiphasigiges Initialisierungs Muster erkannt

2005-01-07
	* neu: erstes Signal(nix)

2005-01-06
	* und: weiterer Umbau zu Model/Observer Muster
	* neu: weitere Integration von OpenGL in Klasse GL_Ansicht und Agviewer
	* neu: GL_Ansicht um Laden von Netzen erweitert
	* neu: Kette von Profilen in ICCkette implementiert (vorher vector)

2004-12-31
	* und: Gedanken über Farbraumhülle
	*    : maximaler Farbauftrag für maximale Farbsättigung
	*    : Raster (polar oder orthogonal) mit Prüfung des relativen Intents
		auf Veränderung; Begin der Veränderung zeigt das Innere des 
		Farbraumes an
	     : Grenze Abtasten bei Verdacht

2004-12-30
	* und: OpenGL Tests;  Transparenz - scheint standpunktabhängig

2004-12-28
	* und: Tag- und Mft-auswahl von icc_betrachter -> icc_examin
	* fix: vcgt Kurven umkehren
	* und: Klasse GL_Ansicht wird von icc_examin als vector verwaltet

2004-12-27
	* neu: ICCfltkBetrachter als fltk Klasse geformt (Fenster und Garnitur)
	* und: Öffnen nach icc_examin verschoben
	* und: Statuszeile ist string in icc_examin
	* neu: ICCfltkBetrachter: aus start() wurden init() und eine run()
	* und: agv: Tastatur Signale ausgeschalten
	* und: icc_betrachter: globale Variablen -> ICCfltkBetrachter
	* und: icc_draw() Variablen -> icc_examin

2004-12-14
	* fix: mft GL Untermenü: Kanalnamen mit jedem Tagwechsel aktualisiert
	* neu: Fl::run aus main entfernt, Oberfläche nun in icc_betrachter
	* neu: Klasse icc_examin als zentrales Model begonnen
	* neu: neue Farben der Oberfläche, Einheitlich zu osX

2004-12-6
	* neu: CLUT Koordinaten besser positioniert 
	* fix: CLUT A2B nicht mehr dargestellt
	* neu: CLUT B2A alle Kanäle wählbar
	* und: bessere Beschriftung namenloser Farbkanäle
	* und: RGB und CMYK Messdaten gemeinsam berechnet
	* neu: Graudarstellung begonnen, noch fehlerhaft
	* neu: Funktionen für Farbkanalanzahl und Test ob CLUT vorhanden
	* und: Optimierung für die Entwicklung ausgeschaltet
	* und: nicht benötigte Bibliotheken aus make entfernt 

2004-12-5
	* bug: Weisspunkt für RGB Messdaten berücksichtigt
	* bug: Dunkelablgleich für RGB Messdaten
	* bug: GL Fenster wird nicht mehr bei Tagwechsel auf 1x1 verkleinert

2004-12-1
	* und: DEBUG geändert
	* bug: Hellabgleich XYZ Messdaten
	* bug: A2B versus B2A Tabellen besser verstanden

2004/11/25
	* neu: Start oyranos Integration (Konfiguration)
	* neu: Menüs neu ordnen

2004/11/24
	* neu: binär/ascii Darstellung unbekannter Inhalte
	* neu: tag mluc - mehrsprachige Beschreibungen
	* neu: tag chad - Farbanpassungsmatrix
	* fix: Speicherfreigabe bei CIExy

